phpBB2 by Przemo
Support forów phpBB2 modified by Przemo

FAQFAQ - PIERWSZA POMOC!!  regulaminREGULAMIN  SzukajSZUKAJ  UżytkownicyUżytkownicy  GrupyGrupy  StatystykiStatystyki
RejestracjaRejestracja  ZalogujZaloguj  DownloadDownload  katalog Forów DyskusyjnychKatalog Forów   FAQ Video tutoriale

Poprzedni temat «» Następny temat
Zamknięty przez: NineX
25-01-2016, 02:04
Publikacja wersji 1.12.9
Autor Wiadomość
Seba123


Pomógł: 74 razy
Posty: 868
Wysłany: 03-11-2015, 14:25   

Aby to miało sens i było fajne trzebaby nową wersję oprzeć o phpbb3 i dodać ajaxowe zabawki.
_________________
Fejs
 
     
Gadatliwa Kasia 

   
Czaston


Pomógł: 22 razy
Posty: 175
Wysłany: 08-11-2015, 11:54   

Przemo dobrze podsumował. Praca nad nową wersją z góry była pomysłem błędnym i zdecydowanie niepotrzebnym. Jednak na jego miejscu bym stanowczo powiedział "Chłopaki, nowej wersji nie będzie. Jak chcecie ciągnąć to dalej to zróbcie osobny projekt". Nowa wersja skryptu to głównie usunięcie kilku modyfikacji, zresztą w sposób nieudolny, przez co wyszła masa błędów.

Jak już kiedyś pisałem: prościej i szybciej jest napisać skrypt od absolutnych podstaw, wg powszechnych już rozwiązań. Jeśli jednak nie ma się do tego ludzi to w ogóle nie można nawet myśleć o stworzeniu czegoś nowego. Kolejny minus to oczywiście praca charytatywna. Nie sądzę, aby udało się komuś zebrać grono doświadczonych osób, którzy ot tak klepną projekt za darmo.

Morał? Wycofajcie 1.12.9 i dodajcie instrukcje jak usunąć poszczególne modyfikacje ze skryptu. Na jedno wyjdzie...
 
     
lancet

Posty: 22
Wysłany: 08-11-2015, 13:32   

Proszę, żeby ktoś mi to przetłumaczył i wyjaśnił jak to zreperować:

phpBB by Przemo : Critical Error

Could not show inserts from table: phpbb_album_config

DEBUG MODE

SQL Error : 1146 Table 'lancet.phpbb_album_config' doesn't exist

SELECT config_name FROM phpbb_album_config

Line : 1094
File : check_files.php
 
     
Kcurek

Pomógł: 1 raz
Posty: 40
Wysłany: 08-11-2015, 21:27   

lancet, jeśli chcesz mieć stabilnie działające forum, cofnij się do 1.12.8, a następnie rozważ zmianę silnika, chyba, że obecny Ci całkowicie odpowiada. Jeśli zaś chcesz się bujać z 1.12.9, wgraj plik check_files.php z czystej paczki 1.12.9 i zobacz, co wyjdzie. Chociaż podejrzewam sobie delikatnie, że będzie to samo, innymi słowy, ktoś nie zaktualizował w tymże pliku cięć, które weszły w 1.12.9. Wtedy cofnij się do pierwszego zdania mojego postu ;)
Czaston napisał/a:
Przemo dobrze podsumował. Praca nad nową wersją z góry była pomysłem błędnym i zdecydowanie niepotrzebnym. Jednak na jego miejscu bym stanowczo powiedział "Chłopaki, nowej wersji nie będzie. Jak chcecie ciągnąć to dalej to zróbcie osobny projekt". Nowa wersja skryptu to głównie usunięcie kilku modyfikacji, zresztą w sposób nieudolny, przez co wyszła masa błędów.

Pierwszy raz się z Tobą zgadzam. To jednak nie zmieni tego, co niżej...
Czaston napisał/a:
Kolejny minus to oczywiście praca charytatywna. Nie sądzę, aby udało się komuś zebrać grono doświadczonych osób, którzy ot tak klepną projekt za darmo.

SMF, phpBB, MyBB - mało? A teraz weź stąd idź :D

E: pomyłeczka, miałem edytować, a wysłałem drugi post, proszę pierwszy usunąć. E2: dziękuję ;)
 
     
krys76

Posty: 2
Wysłany: 28-11-2015, 21:19   

Witam
Zrobiłem aktualizację z 1.12.8 do 1.12.9 i po aktualizacji bazy pojawił się komunikat
Kod:
ALTER TABLE phpbb_pa_files ADD INDEX file_catid (file_catid)
Niewykonane - Table 'krys76_wppforum.phpbb_pa_files' doesn't exist


Forum wygląda normalnie tylko po wejściu w PA pojawia się komunikat
Kod:
Błąd Ogólny
Couldnt query Download configuration
DEBUG MODE
SQL Error : 1146 Table 'krys76_wppforum.phpbb_pa_settings' doesn't exist
SELECT * FROM phpbb_pa_settings
Line : 184
File : functions.php


Co mam zrobić?

Edycja: Już sobie poradziłem. Myślałem że trzeba przekopiować tylko pliki a wychodzi że także katalog admin
Ostatnio zmieniony przez krys76 28-11-2015, 22:52, w całości zmieniany 2 razy  
 
     
lancet

Posty: 22
Wysłany: 28-11-2015, 22:01   

Kcurek napisał/a:
lancet, jeśli chcesz mieć stabilnie działające forum, cofnij się do 1.12.8

Jak się do tego należy zabrać, żeby całkiem nie popsuć ??

Teraz forum w zasadzie działa ale największy występujący problem to przy próbie aktualizacji danych użytkownika wywala coś takiego:

Kod:
Błąd Ogólny
Could not rename users group

DEBUG MODE

SQL Error : 1054 Unknown column 'user_birthday' in 'field list'

UPDATE phpbb_users SET user_email = 'VETALGIP@POCZTA.ONET.PL', user_icq = '', user_website = 'http://wet-bialogard.pl', user_occ = '', user_from = 'Białogard' , user_field_1 = 'Krzysztof Pigla', user_allow_field_1 = 1, user_field_2 = 'AR Wrocław', user_allow_field_2 = 1, user_field_3 = '1981', user_allow_field_3 = 1, user_field_4 = '1918', user_allow_field_4 = 1, user_field_5 = '', user_allow_field_5 = 1, user_field_6 = 'Praktyka prywatna,Białogard 094 312 34 91', user_allow_field_6 = 1, user_field_7 = '200', user_allow_field_7 = 1, user_field_8 = '', user_allow_field_8 = 1, user_interests = 'fotografia,Pink Floyd,samochody,', user_custom_color = '008000', user_custom_rank = '', user_sig = 'Krzychu. www.wet-bialogard.pl', user_viewemail = 1, user_viewaim = 1, user_aim = '', user_yim = '', user_msnm = '', user_attachsig = 1, user_sig_bbcode_uid = '3121554880', user_allowsmile = 1, user_allowhtml = 1, user_allowavatar = 1, user_allowsig = 1, user_allowbbcode = 1, user_allow_viewonline = 1, user_notify = 0, user_allow_pm = 1, user_notify_pm = 1, user_popup_pm = 1, allowpm = 1, user_notify_gg = 0, user_lang = 'polish', user_style = 6, user_timezone = 1, user_active = 1 , user_rank = 0, user_gender = '1', user_birthday = 0, user_next_birthday_greeting = 2016 , disallow_forums = '', can_custom_ranks = 1, can_custom_color = 1, can_topic_color = 1, user_allow_helped = 1, user_ip_login_check = 1 WHERE user_id = 118

Line : 1007
File : admin_users.php
Ostatnio zmieniony przez Woytec 04-12-2015, 18:43, w całości zmieniany 1 raz  
 
     
Woytec


Pomógł: 2595 razy
Posty: 7659
Wysłany: 04-12-2015, 18:43   

Jeżeli przywróciłeś pliki wykonaj jeszcze raz update.php
Ewentualnie spróbuj:
Kod:
ALTER TABLE phpbb_users ADD user_birthday int(6) DEFAULT '999999' NOT NULL;
 
     
Oneitatsu


Pomógł: 837 razy
Posty: 2312
Wysłany: 01-01-2016, 02:32   

proszę usunąć adnotację globalną o konieczności aktualizacji forum do 1.12.9. wersja ta bowiem jest zbyt niesolidna oraz toczy się na jej temat bardzo nieprzychylna dyskusja, co zresztą widać tutaj na forum. proszę nie wprowadzać w błąd użytkowników!
 
     
DiKeyTV


Pomógł: 11 razy
Posty: 117
Wysłany: 01-01-2016, 19:33   

Ja powiem tak jak bym się znał bardzo dobrze na tym to bym chętnie się dołączył i zrobił coś na podstawie MyBB
 
     
kooza


Pomógł: 486 razy
Posty: 2401
Wysłany: 02-01-2016, 00:11   

To są chyba jakieś kpinyy? Czy administracja tego forum jest w ogóle poważna? Myślicie że dopiska 'nie zaleca się na razie aktualizacji' wystarczy? Usuńcie tą ostatnią nieudaną wersję oraz to ogłoszenie w cholerę, inie odwalajcie takich numerów. Jak macie Coś do wytłumaczenia to napiszcie sensowny post, żeby każdemu dało to do zrozumienia. Aż się płakać chce jak na to wszystko patrzę :roll:
 
     
ResidenT


Pomógł: 12 razy
Posty: 219
Wysłany: 02-01-2016, 19:05   

kooza, Nie można czegoś takiego zrobić bo większość osób zaktualizowało do 1.12.9 Trzeba im pomóc i nie robić więcej takich aktualizacji, które są bezsensu...
 
     
Oneitatsu


Pomógł: 837 razy
Posty: 2312
Wysłany: 02-01-2016, 21:18   

ResidenT, wskaż źródło danych na które się powołujesz. mam na myśli statystyki. intryguje mnie kwestia popularności modułów, w które ostatni apdejt ingerował.
 
     
mix


Pomógł: 6 razy
Posty: 134
Wysłany: 03-01-2016, 09:41   

Oczywiście, że są to kpiny. Dawno temu NiNeX miał zamieścić tutaj post i stworzyć poprawki do 1.12.9. Postu brak, a jedyne co widać to dodatek przy ogłoszeniu tej wersji w postaci "nie zaleca się na razie aktualizacji". Trzeba było o tym pomyśleć jak bez sensu i bez sprawdzenia wydaliście tą aktualizacje jako oficjalną i dopisku owego nie było. Ja nadal mam wersje 1.12.9, obiecano to naprawić i ? Chyba sam się za to wezmę i pewne pliki cofnę do wersji 1.12.8. Jakby nie było jest to porażka administracji, że tak zlała ludzi. Każdy znalazł by czas chociażby na jeden post i te kilka zdań (tutaj cisza mimo kolejnych obietnic).
 
     
ResidenT


Pomógł: 12 razy
Posty: 219
Wysłany: 05-01-2016, 09:47   

O na forum
Kod:
Powered by phpBB modified v1.12.9 by Przemo © 2003 phpBB Group
. Jak nie macie czasu to dajcie innym "pałeczkę" lub nie róbcie nic.
 
     
Gadatliwa Kasia 

   
xlesiu



Pomógł: 5272 razy
Posty: 10361
Wysłany: 06-01-2016, 19:42   

ResidenT napisał/a:
lub nie róbcie nic.

To jest dobre rozwiązanie.
_________________
Jak tłumaczysz mi coś z php to mów do mnie jak do labradora.
 
     
Wyświetl posty z ostatnich:   
Ten temat jest zablokowany bez możliwości zmiany postów lub pisania odpowiedzi
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Nie możesz załączać plików na tym forum
Możesz ściągać załączniki na tym forum
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Kopiowanie wszelkich treści zawartych na forum, modyfikacji oraz instrukcji bez zgody administracji i autorów tematów/postów zabronione!

Powered by phpBB modified by Przemo © 2003 phpBB
Strona wygenerowana w 0,06 sekundy. Zapytań do SQL: 14
Polecane serwisy



Najlepsze oprogramowanie do prowadzenia sklepu internetowegoNajlepszy program do sklepu firmowany przez Przem'a



phpbb

serwis laptopów

• Zamów reklamę